Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 154735 - games-action/rune-1.07-r2 fails to install from windows cd
Summary: games-action/rune-1.07-r2 fails to install from windows cd
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Games (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-10 15:15 UTC by Simon Aittamaa
Modified: 2011-09-01 20:21 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Fix for installing rune from windows cd. (rune-windows_cd_install.patch,888 bytes, patch)
2006-11-10 15:19 UTC, Simon Aittamaa
Details | Diff
runepatch-1.07-r3.ebuild (runepatch-1.07-r2.ebuild,4.29 KB, text/plain)
2007-02-18 13:17 UTC, patrick
Details
patch file listing (filelisting,1.71 KB, text/plain)
2008-05-07 16:27 UTC, patrick
Details
rune-1.07-r3.ebuild (rune-1.07-r3.ebuild,4.46 KB, text/plain)
2008-09-09 14:14 UTC, patrick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Aittamaa 2006-11-10 15:15:21 UTC
Fails to install from the windows CD, seems like a stray sed statment starts to read from stdin. and the ebuild hangs, upon ctrl+d it still fails to apply the patches.

This is probably since ls is used when find would have been more appropriate. Fixed a patch for this, however since I'm on amd64 it seems that xdelta fails to apply the patches even when the code is fixed due to the patch files being created  on an x86 box :/

Output before patch:

[snip]

>>> Install rune-1.07-r2 into /var/tmp/portage/games-action/rune-1.07-r2/image/ category games-action
 * Copying files... this may take a while...
xdelta: open /var/tmp/portage/games-action/rune-1.07-r2/work/patch//var/tmp/portage/games-action/rune-1.07-r2/work/patch/Maps:.patch failed: No such file or directory
install: cannot stat `/var/tmp/portage/games-action/rune-1.07-r2/work/patch//var/tmp/portage/games-action/rune-1.07-r2/work/patch/Maps:': No such file or directory

!!! ERROR: games-action/rune-1.07-r2 failed.
Call stack:
  ebuild.sh, line 1568:   Called dyn_install
  ebuild.sh, line 1022:   Called src_install
  rune-1.07-r2.ebuild, line 101:   Called die

!!! Could not copy Patch data
!!! If you need support, post the topmost build error, and the call stack if relevant.

After patch:

[snip]>>> Install rune-1.07-r3 into /var/tmp/portage/games-action/rune-1.07-r3/image/ category games-action
 * Copying files... this may take a while...
xdelta: @@@SerialSource: Incorrect allocation
install: cannot stat `/var/tmp/portage/games-action/rune-1.07-r3/work/System/IpDrv.u': No such file or directory

!!! ERROR: games-action/rune-1.07-r3 failed.
Call stack:
  ebuild.sh, line 1568:   Called dyn_install
  ebuild.sh, line 1022:   Called src_install
  rune-1.07-r3.ebuild, line 100:   Called die

!!! Could not copy Patch data
!!! If you need support, post the topmost build error, and the call stack if relevant.

!!! This ebuild is from an overlay: '/usr/local/portage'

Will attach the patch shortly.
Comment 1 Simon Aittamaa 2006-11-10 15:19:41 UTC
Created attachment 101637 [details, diff]
Fix for installing rune from windows cd.

Can't verify the patch since I can't get xdelta bails on the files, perhaps I should file a bug report for that as well but probably better if someone with more knowledge of xdelta files it.
Comment 2 patrick 2007-02-18 13:05:52 UTC
Well, after having a second look at the ebuild and the files, I found out that some things were really borked...
I created a rune-all-0.3.tar.bz2 and fixed the ebuild, based on your patch, it would be nice if you could try it.
Comment 3 patrick 2007-02-18 13:17:54 UTC
Created attachment 110527 [details]
runepatch-1.07-r3.ebuild

I inserted the 'patch' again in line 98, it is needed, because the folder structure is in there.
Comment 4 patrick 2007-02-18 13:41:57 UTC
The rune-all-0.3.tar.bz2 can be found at http://uploaded.to/?id=gm5jit
Comment 5 patrick 2007-02-18 13:43:07 UTC
The rune-all-0.3.tar.bz2 can be found at http://uploaded.to/?id=gm5jit
Comment 6 Roderick B. Greening 2007-05-10 17:57:15 UTC
I am trying. Will let you know if it works fine.
Comment 7 Roderick B. Greening 2007-05-10 18:07:07 UTC
Got the during install...

xdelta: expected from file (/mnt/cdrom/System/RuneI.u) of length 2589567 bytes
xdelta: expected from file (/mnt/cdrom/System/IpDrv.u) of length 20158 bytes
xdelta: expected from file (/mnt/cdrom/System/UBrowser.u) of length 325094 bytes
xdelta: expected from file (/mnt/cdrom/System/UWindow.u) of length 657228 bytes
xdelta: open /mnt/cdrom/System/JunModel.int failed: No such file or directory
xdelta: expected from file (/mnt/cdrom/System/UWeb.u) of length 28242 bytes
xdelta: expected from file (/mnt/cdrom/System/Engine.u) of length 3023870 bytes
xdelta: expected from file (/mnt/cdrom/System/RBrowser.u) of length 12229 bytes
xdelta: expected from file (/mnt/cdrom/System/IpServer.u) of length 30716 bytes
xdelta: expected from file (/mnt/cdrom/System/Editor.u) of length 99392 bytes
xdelta: expected from file (/mnt/cdrom/System/Imports.u) of length 31218 bytes
xdelta: expected from file (/mnt/cdrom/System/Fire.u) of length 15122 bytes
xdelta: open /mnt/cdrom/System/JunModel.u failed: No such file or directory
xdelta: expected from file (/mnt/cdrom/System/Core.u) of length 59154 bytes
xdelta: expected from file (/mnt/cdrom/System/RuneServerAdmin.u) of length 94231 bytes
xdelta: expected from file (/mnt/cdrom/System/RMenu.u) of length 1530393 bytes
xdelta: expected from file (/mnt/cdrom/Maps/DM-Thorstadt.run) of length 946248 bytes
xdelta: expected from file (/mnt/cdrom/Maps/TrialPit.run) of length 856109 bytes
xdelta: /var/tmp/portage/games-action/rune-1.07-r3/work/patch/Meshes/plants.ums: Checksum validation failed, expected: 93aefeb52d956cd1d7e81f5f0b5672b5, received: c941aaa2145f4c51f273fb09f929c2db
xdelta: /mnt/cdrom/Meshes/plants.ums: Checksum validation failed, expected: 93aefeb52d956cd1d7e81f5f0b5672b5, received: c941aaa2145f4c51f273fb09f929c2db
xdelta: expected from file (/mnt/cdrom/Meshes/creatures.ums) of length 12476262 bytes
xdelta: /var/tmp/portage/games-action/rune-1.07-r3/work/patch/Meshes/weapons.ums: Checksum validation failed, expected: 51ecbe07a94ff51e49c310ad46821b3e, received: 7bab15c9b2419c58647284cfd229a495
xdelta: /mnt/cdrom/Meshes/weapons.ums: Checksum validation failed, expected: 51ecbe07a94ff51e49c310ad46821b3e, received: 7bab15c9b2419c58647284cfd229a495
xdelta: expected from file (/mnt/cdrom/Meshes/Players.ums) of length 21239275 bytes
xdelta: expected from file (/mnt/cdrom/Meshes/objects.ums) of length 3898399 bytes

Then tried to run rune...

appError called:
ReadFile beyond EOF 4228495+1/4228495
Executing UObject::StaticShutdownAfterError
Executing USDLClient::ShutdownAfterError
Aborted
Comment 8 patrick 2007-05-10 20:29:20 UTC
What CD do you have exactly (Windows/Linux/special version I don't know of?)? To me it sounds like you have a different CD, as a lot of the files are different.
Comment 9 ILM 2008-05-03 19:12:58 UTC
(In reply to comment #8)
> What CD do you have exactly (Windows/Linux/special version I don't know of?)?
> To me it sounds like you have a different CD, as a lot of the files are
> different.
> 

i seem to having the same problem trying to install rune through a windows install cd. It hangs after the linux specific sed'editing.

Unfortunately can't test this solution, has rune-all-0.3.tgz link is dead (portage still holds the older? version).

any ideas ?
Comment 10 patrick 2008-05-04 12:05:51 UTC
The problem is that the file is too big to host in bugzilla and most of the filehosters out there remove files after some time...
Will upload...again...

http://www.mediafire.com/?0mlejzujgok

Here you go. Slowly I would really appreciate that this thing goes into the tree finally...
Comment 11 ILM 2008-05-05 20:27:53 UTC
(In reply to comment #10)
> The problem is that the file is too big to host in bugzilla and most of the
> filehosters out there remove files after some time...
> Will upload...again...
> 
> http://www.mediafire.com/?0mlejzujgok
> 
> Here you go. Slowly I would really appreciate that this thing goes into the
> tree finally...
> 

thanks a lot. got a bit further now. have the same problem as mr. Roderick.

 * Copying files... this may take a while...
xdelta: expected from file (/mnt/cdr/System/Core.u) of length 59154 bytes
xdelta: expected from file (/mnt/cdr/System/Editor.u) of length 99392 bytes
xdelta: expected from file (/mnt/cdr/System/Engine.u) of length 3023870 bytes
xdelta: expected from file (/mnt/cdr/System/Fire.u) of length 15122 bytes
xdelta: expected from file (/mnt/cdr/System/Imports.u) of length 31218 bytes
xdelta: expected from file (/mnt/cdr/System/IpDrv.u) of length 20158 bytes
xdelta: expected from file (/mnt/cdr/System/IpServer.u) of length 30716 bytes
xdelta: open /mnt/cdr/System/JunModel.int failed: No such file or directory
xdelta: open /mnt/cdr/System/JunModel.u failed: No such file or directory
xdelta: expected from file (/mnt/cdr/System/RBrowser.u) of length 12229 bytes
xdelta: expected from file (/mnt/cdr/System/RMenu.u) of length 1530393 bytes
xdelta: expected from file (/mnt/cdr/System/RuneI.u) of length 2589567 bytes
xdelta: expected from file (/mnt/cdr/System/RuneServerAdmin.u) of length 94231 bytes
xdelta: expected from file (/mnt/cdr/System/UBrowser.u) of length 325094 bytes
xdelta: expected from file (/mnt/cdr/System/UWeb.u) of length 28242 bytes
xdelta: expected from file (/mnt/cdr/System/UWindow.u) of length 657228 bytes
xdelta: expected from file (/mnt/cdr/Maps/DM-Thorstadt.run) of length 946248 bytes
xdelta: expected from file (/mnt/cdr/Maps/TrialPit.run) of length 856109 bytes
xdelta: expected from file (/mnt/cdr/Meshes/Players.ums) of length 21239275 bytes
xdelta: expected from file (/mnt/cdr/Meshes/creatures.ums) of length 12476262 bytes
xdelta: expected from file (/mnt/cdr/Meshes/objects.ums) of length 3898399 bytes
xdelta: /var/tmp/paludis/games-action-rune-1.07-r2/work/patch/Meshes/plants.ums: Checksum validation failed, expected: 93aefeb52d956cd1d7e81f5f0b5672b5, received: c941aaa2145f4c51f273fb09f929c2db
xdelta: /mnt/cdr/Meshes/plants.ums: Checksum validation failed, expected: 93aefeb52d956cd1d7e81f5f0b5672b5, received: c941aaa2145f4c51f273fb09f929c2db
xdelta: /var/tmp/paludis/games-action-rune-1.07-r2/work/patch/Meshes/weapons.ums: Checksum validation failed, expected: 51ecbe07a94ff51e49c310ad46821b3e, received: 7bab15c9b2419c58647284cfd229a495
xdelta: /mnt/cdr/Meshes/weapons.ums: Checksum validation failed, expected: 51ecbe07a94ff51e49c310ad46821b3e, received: 7bab15c9b2419c58647284cfd229a495

rune produces
Creating preferences directory...
Creating directory /home/ilm/.loki/rune/
Creating directory /home/ilm/.loki/rune/System
Loading: Package Engine
Loading: Package Core
Unreal engine initialized
Bound to SDLDrv.so
Joystick [0] : Unknown Joystick
SDLClient initialized.
Bound to Render.so
Lighting subsystem initialized
Rendering initialized
LoadMap: Entry
Loading: Package Entry
Loading: Package Sky
appError called:
ReadFile beyond EOF 4228495+1/4228495
Executing UObject::StaticShutdownAfterError
Executing USDLClient::ShutdownAfterError
Afgebroken

Sorry for the trouble, is the xdelta part hard to create myself for my files ? What should be changed, line breaks windows->linux ?
Comment 12 patrick 2008-05-06 16:27:02 UTC
Well, all you basicly need a Linux Rune cd, then just create patch files with xdelta for all the files that are contained in the tar.bz2.When you have xdelta files for your CD those could also be easily integrated into the current tbz (since the patches are small). I guess the problem will be to obtain a Linux CD with the files...

Command is xdelta delta windowscreatures.ums linuxcreatures.ums creatures.ums.patch

Those files are quite big (>30mb), so sending them is probably not feasible...we'll see, perhaps I can obtain such a Windows CD from somewhere...
Comment 13 ILM 2008-05-07 09:29:35 UTC
(In reply to comment #12)
> Well, all you basicly need a Linux Rune cd, then just create patch files with
> xdelta for all the files that are contained in the tar.bz2.When you have xdelta
> files for your CD those could also be easily integrated into the current tbz
> (since the patches are small). I guess the problem will be to obtain a Linux CD
> with the files...
> 
> Command is xdelta delta windowscreatures.ums linuxcreatures.ums
> creatures.ums.patch
> 
> Those files are quite big (>30mb), so sending them is probably not
> feasible...we'll see, perhaps I can obtain such a Windows CD from somewhere...
> 

hmm, I don't have a linux cd of course. Maybe I can provide my files somehow (if <400mb)... 
Comment 14 patrick 2008-05-07 16:27:11 UTC
Created attachment 152309 [details]
patch file listing

I guess only those files need to be patched (those are the ones that I needed to patch on my Rune CD). If you could compress them very strong maybe you get them quite small.
Comment 15 patrick 2008-05-07 16:38:09 UTC
I tested this quickly, and I was able to compress them to 26mb (uncompressed 54mb) with p7zip.
Comment 16 ILM 2008-05-07 20:20:52 UTC
(In reply to comment #15)
> I tested this quickly, and I was able to compress them to 26mb (uncompressed
> 54mb) with p7zip.
> 

(In reply to comment #15)
> I tested this quickly, and I was able to compress them to 26mb (uncompressed
> 54mb) with p7zip.
> 
I found all files of your patchset EXCEPT
-rw-r--r-- 1 patrick patrick 155 Mar  6  2006 JunModel.int
-rw-r--r-- 1 patrick patrick 151 Mar  6  2006 JunModel.u

According to setup it is the following version (wine Setup.exe):
Language: English (International)
Product: Rune
Version: 100 Build 13
Developer: Human Head Studios, Inc

anyway files are here: http://ilmc.eu/patchset.tar
It is tarred and gzipped! (in contrast to what the filename says)
pk7zipping it didn't improve the already gzipped file.

Thanks for your help.
http://ilmc.eu/patchset.tar

Comment 17 patrick 2008-05-08 16:32:56 UTC
This missing file is actually a good thing, that makes it possible to identify your CD easily. I'll prepare the new ebuild/tgz now.
Comment 18 patrick 2008-05-08 17:23:26 UTC
> Language: English (International)
> Product: Rune
> Version: 100 Build 13
> Developer: Human Head Studios, Inc

That explains everything, my CD has version 1.07.
This makes things much more difficult. Since what has to be done is basicly patch your windows files to version 1.07 and then apply my diffs. Problem: the patch is an exe file... What you could try is installing Rune with windows, patch it with the 1.07 patch (http://ftp.take2.de/patches/Rune107All.zip). And specify the installation folder as cdroot. There are good chances the ebuild will eat it.

Apart from that, when you got it running with wine, this is probably a better solution, since there you can install the 1.08 patch and have a full online capable HoV (if you own that).
Comment 19 ILM 2008-05-08 19:30:56 UTC
(In reply to comment #18)
> That explains everything, my CD has version 1.07.
> This makes things much more difficult. Since what has to be done is basicly
> patch your windows files to version 1.07 and then apply my diffs. Problem: the
> patch is an exe file... What you could try is installing Rune with windows,
> patch it with the 1.07 patch (http://ftp.take2.de/patches/Rune107All.zip). And
> specify the installation folder as cdroot. There are good chances the ebuild
> will eat it.
> 
> Apart from that, when you got it running with wine, this is probably a better
> solution, since there you can install the 1.08 patch and have a full online
> capable HoV (if you own that).
> 


I just wanted to try out coop with a friend,
installed it with wine  and patched it to 1.07. (works with wine, beside some texture corruption/flickering. on ati...)

using that as CD_ROOT helps a lot except for...
 * Copying files... this may take a while...
xdelta: expected from file (/home/ilm/.wine/drive_c/Rune//Maps/Loki2.run) of length 3551848 bytes
xdelta: expected from file (/home/ilm/.wine/drive_c/Rune//Maps/TrialPit.run) of length 856109 bytes

i guess that is an improvement. had some other minor problems that i had to solve in ebuild. (some case difference and one file missing, but that was removed anyways).

rune still produces the same error
Loading: Package Engine
Loading: Package Core
Unreal engine initialized
Bound to SDLDrv.so
Joystick [0] : Unknown Joystick
SDLClient initialized.
Bound to Render.so
Lighting subsystem initialized
Rendering initialized
LoadMap: Entry
Loading: Package Entry
Loading: Package Sky
appError called:
ReadFile beyond EOF 4228495+1/4228495
Executing UObject::StaticShutdownAfterError
Executing USDLClient::ShutdownAfterError
Afgebroken


don't have to put any more effort in this, i guess it isn't worth mine/your trouble to get this working.
Comment 20 patrick 2008-09-09 14:14:53 UTC
Created attachment 165011 [details]
rune-1.07-r3.ebuild

added an info that version 1.07 is needed
removed double argument of make_games_wrapper

Since I do not have access to a cdrom drive I can not check for a file that is only located on the 1.07 version of the windows cd. This is still missing from the ebuild. The relevant line is marked with a #FIXME.
This ebuild should provide a clean solution to the problems with the windows CD.
Comment 21 karafeka 2009-01-15 00:45:56 UTC
It's working with linux version.

But one question. Does rune supports alsa or does it support only oss?

I get no sound, and error open /dev/dsp: No such file or directory 
while running.
Comment 22 karafeka 2009-01-15 12:01:47 UTC
(In reply to comment #21)
> It's working with linux version.
> 
> But one question. Does rune supports alsa or does it support only oss?
> 
> I get no sound, and error open /dev/dsp: No such file or directory 
> while running.
> 

Just one update: 
When trying with aoss (oss emulation for alsa) i get segmentation fault at the beginning of a new game and also those first few spoken words are at very slow speed. 
Comment 23 karafeka 2009-01-15 12:24:47 UTC
> Just one update: 
> When trying with aoss (oss emulation for alsa) i get segmentation fault at the
> beginning of a new game and also those first few spoken words are at very slow
> speed. 
> 

Soluton is:
select OSS PCM (digital audio) API as module in
Device Drivers -> Sound  --->  Advanced Linux Sound Architecture
Comment 24 INODE64 Sistemas 2009-05-21 20:20:31 UTC
please send rune-all-0.3.tar.bz2 , the link http://uploaded.to/?id=gm5jit
 is dead
Comment 25 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2011-09-01 20:21:31 UTC
Hey, games team, why do we keep such an awfully borked ebuild with no fix for such a long time?